# fn() testAllZeros
Tests whether all bits of the given value are set to 0.

Defined in | <seqan/misc.h>
Signature | `bool testAllZeros(val)`

## Parameters

`val` | The value to check the bits for. Must be of type IntegerConcept.

## Return Values

`bool` | `true` if all bits are set to 0, `false` otherwise.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- testAllOnes

#### Dox Sources

    /*!
     * @fn testAllZeros
     *
     * @headerfile <seqan/misc.h>
     *
     * @brief Tests whether all bits of the given value are set to <b>0</b>.
     *
     * @signature bool testAllZeros(val)
     *
     * @param[in] val The value to check the bits for. Must be of type @link
     *                IntegerConcept @endlink.
     *
     * @return bool <tt>true</tt> if all bits are set to <b>0</b>, <tt>false</tt>
     *              otherwise.
     *
     * @see testAllOnes
     */